> For the complete documentation index, see [llms.txt](https://paas.docs.machnetinc.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://paas.docs.machnetinc.com/api-references/transaction-wallet/create-transfers/wallet-to-wallet-transfer.md).

# Wallet to Wallet Transfer

Users can send funds to another user’s wallet within the same Client. To do so, in the request “type” must be specified as “TRANSFER”.

**`POST /users/{{userId}}/funds/{{wallet_id}}/transfers`**

{% hint style="info" %}
Supports Idempotency Key as part of header to avoid duplicate transaction. If you are creating a transaction with the same request and the same idempotency key again, the endpoint will consider this a duplicate request. It will not create a new transaction but will instead provide details of the initial transaction in the response. ​&#x20;

**Response:**&#x20;

200 if a transaction is successfully created or transaction with the same idempotency key and request was created earlier&#x20;

400 if the idempotency key is greater than 255 char&#x20;

409 if the idempotency key is the same but the request is different
{% endhint %}

{% tabs %}
{% tab title="Request Sample" %}

```
curl --location -g --request POST '{{url}}/users/{{userId}}/funds/{{wallet_id}}/transfers' \
--header 'X-Client-Id: {{client_id}}' \
--header 'X-Client-Secret:{{client_secret}} ' \
--header 'Content-Type: application/json' \
--header 'X-Idempotency-Key: idempotencykey' \
--data-raw{
  "amount": 10,
  "fee_amount": 0,
  "note": "Sample Note",
  "currency": "USD",
  "ip_address": "10.10.10.5",
  "type": "TRANSFER",
  "to": {
    "id": "efdc93dd-4019-4f5a-84df-9cfc21d8ce2e",
    "fund_id": "bfdc93dd-4019-4f5a-84df-9cfc21d8ce2c"
  }
}
```

{% endtab %}

{% tab title="Response Sample" %}

```
{
    "amount": 4,
    "currency": "USD",
    "fee_amount": 0,
    "from_fund_id": "ad82cebb-9ca3-4f2a-a1de-27f004b838bd",
    "id": "6a74ab95-51b3-45f2-a0d9-d0236780a4de",
    "ip_address": "10.10.10.5",
    "note": "Sample Note",
    "status": "INITIATED",
    "to": {
        "fund_id": "9696d2f0-e15b-44cf-84ea-759c44a9b8c2",
        "id": "21000223-2561-44b7-a661-e06d8aa1bc3a"
    },
    "type": "TRANSFER",
    "user_id": "3e626447-cc80-4cd0-89e7-19001f939ee4"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://paas.docs.machnetinc.com/api-references/transaction-wallet/create-transfers/wallet-to-wallet-transfer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
